Airtable: List Records
Retrieve records from an Airtable base table with filtering and sorting. Use filterByFormula for conditional queries. Supports pagination up to 100 records. Ideal for: data lookups, report generation, fetching CRM data, inventory queries.
目录操作 集成 pipedream:airtable
从 Airtable 基础表格中检索记录,支持过滤和排序。使用 filterByFormula 进行条件查询。支持分页,最多 100 条记录。适用于:数据查找、报告生成、获取 CRM 数据、库存查询。
概览
| 字段 | 值 |
|---|---|
| 操作 ID | airtable-list-records |
| 类别 | 集成 |
| 连接器 | pipedream:airtable |
| 需要 Gas | 否 |
| 资金移动 | 未声明 |
| 标签 | pipedream, integration, oauth, airtable, database, read, query, filter, list, fetch |
负载模式
| 字段 | 类型 | 必需 | 描述 |
|---|---|---|---|
baseId | string | 是 | Airtable 基础 ID(以 'app' 开头,例如 'appXXXXXXXXXXXXXX') |
tableId | string | 是 | 表格 ID 或表格名称 |
maxRecords | number | 否 | 要返回的最大记录数(默认:100,最大:100) |
filterByFormula | string | 否 | Airtable 公式,用于过滤记录(例如,'{Status} = "Active"') |
sort | array | 否 | 指定排序顺序的排序对象数组 |
view | string | 否 | 要使用的视图名称或 ID |
fields | array | 否 | 要返回的字段名称数组(省略则返回所有字段) |
结果模式
| 字段 | 类型 | 必需 | 描述 |
|---|---|---|---|
success | boolean | 是 | 记录是否检索成功 |
data | object | 否 | Airtable API 响应数据 |
exports | object | 否 | 操作导出的值 |
示例
json{ "type": "airtable-list-records", "payload": { "baseId": "example-baseId", "tableId": "example-tableId" }, "children": [], "connector": { "type": "pipedream:airtable", "id": "conn_pipedream_airtable" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/airtable-list-records/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "baseId": "example-baseId", "tableId": "example-tableId" }}'
负载字段可以使用工作流表达式,例如 {{$trigger.body.amount}}、{{$nodes.fetch.result.price}} 和 {{$props.asset}},当值应来自触发器、先前节点或可重用工作流属性时。
